Skip to main content

Stores additional certificates for an alias, this should be used to store the certificate chain a pre-generated or…

POST 

/qsystem/rest/config/agent/:agentId/security/certificate/:alias/additionalCertificate

Stores additional certificates for an alias, this should be used to store the certificate chain a pre-generated or signed keys need. This call only works on distributed Queue Agents with version 3.2 or higher. The targeted alias must be in state CA_SIGNED, i.e. a certificate signer request must have been generated and the response has been imported, or a pre-generated key has been uploaded.

Example: curl -i -X POST --cookie {cookies_file} -F 'xsrfToken={token}' -F 'file=@authority.cer' -H 'Content-type: multipart/form-data' http://ip:port/qsystem/rest/config/agent/{agentId}/security/certificate/{alias}/additionalCertificate

{agentId} and {alias} identifies the Queue Agent and alias to add the certificate chain information to file=@authority.cer if the authority certificate that is missing {cookies_file} is a file containing cookies retrieved from a login request {token} is a generated security token, see SecurityService#getXsrfToken

Several files can be specified using multiple -F 'file=...' flags Login cookie retrieval example: curl -i --cookie-jar {cookies_file} -X POST http://ip:port/login.jsp -d "username={username}&password={password}"

Request​

Responses​